<?php
/**
 * @package whitexmas
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h2 class="entry-title"><?php the_title(); ?></h2>

		<div class="entry-meta">
			<?php whitexmas_posted_on();
			echo '&nbsp;';
			if ( is_attachment() ) {
				 edit_post_link( __( 'Edit', 'whitexmas' ) . '<span class="screen-reader-text">' . get_the_title( $id ) . '</span>');
			} ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		if ( is_attachment() ) {
					echo wp_get_attachment_image('','full');
					if ( ! empty( $post->post_excerpt ) ) :
							echo '<br /><p>' . the_excerpt() .'</p>';
					endif;
				?>
			<nav class="navigation post-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php _e( 'Post navigation', 'whitexmas' ); ?></h2>
			<div class="nav-links">
				<div class="nav-previous"><?php previous_image_link( false, _x('<span class="meta-nav">&larr;</span> Previous Image', 'whitexmas' )); ?></div>
				<div class="nav-next"><?php next_image_link( false, _x('Next Image <span class="meta-nav">&rarr;</span>', 'whitexmas' )); ?></div>
			</div><!-- .nav-links -->
			</nav><!-- .navigation -->
		<?php
		} else {
		 the_content();
		
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'whitexmas' ),
				'after'  => '</div>',
			) );
		}
		?>
	</div><!-- .entry-content -->
	<footer class="entry-meta">
		<?php
		if (!is_attachment() ) {
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'whitexmas' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'whitexmas' ) );

			if ( '' != $tag_list ) {
				$meta_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" rel="bookmark">permalink</a>.', 'whitexmas' );
			} else {
				$meta_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" rel="bookmark">permalink</a>.', 'whitexmas' );
			}

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink()
			);
		
 edit_post_link( __( 'Edit', 'whitexmas' ) . '<span class="screen-reader-text">' . get_the_title( $id ) . '</span>'); 

}
?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
