<?php
/**
 * whitexmas Theme Customizer
 *
 * @package whitexmas
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function whitexmas_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'whitexmas_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function whitexmas_customize_preview_js() {
	wp_enqueue_script( 'whitexmas_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'whitexmas_customize_preview_js' );


function whitexmas_customizer( $wp_customize ) {
	/** Breadcrumbs **/
	$wp_customize->add_setting( 'whitexmas_hide_breadcrumbs',		array(
			'sanitize_callback' => 'whitexmas_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('whitexmas_hide_breadcrumbs',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to hide the breadcrumb navigation.', 'whitexmas' ),
			'section' => 'nav',
		)
	);
	
	
	/** Deer **/
	$wp_customize->add_setting( 'whitexmas_hide_deer',		array(
			'sanitize_callback' => 'whitexmas_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('whitexmas_hide_deer',		array(
			'type' => 'checkbox',
			'label' =>  __( 'No Christmas feeling? Check this box to hide the reindeer and snowflake.', 'whitexmas' ),
			'section' => 'header_image',
		)
	);
}
add_action( 'customize_register', 'whitexmas_customizer' );

function whitexmas_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}


function whitexmas_breadcrumbs(){
	if( get_theme_mod( 'whitexmas_hide_breadcrumbs' ) == '') {
	?>
		<div class="crumbs"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php _e('Home', 'whitexmas');?></a>
		<?php
			if ( count( get_the_category() ) ) : 
				$whitexmas_category = get_the_category(); 
					if($whitexmas_category[0]){
						echo ' / <a href="'.get_category_link($whitexmas_category[0]->term_id ).'">'.$whitexmas_category[0]->cat_name.'</a>';
					}
			endif;
			echo ' / ';
			?>
			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		</div>
	<?php
	}
}
